<template>
    <div
        class="portfolio-block"
    >
        <!-- h-0 overflow-hidden -->
        <div class="portfolio-block__container flex flex-col items-start justify-center">

            <!-- Image -->
            <!-- On place un bloc à gauche ou à droite en fonction de sa position -->
            <div
                class="portfolio-block__container--image"
            >
                <nuxt-link
                    :to="{ path: '/portfolio/' + index, query: { type } }"
                >
                    <img
                        src="https://source.unsplash.com/1920x1080"
                        alt="image"
                    >
                </nuxt-link>
            </div>

            <!-- Contenu -->
            <div
                class="portfolio-block__container--content flex flex-col xl:flex-row gap-x-12 items-center md:items-start text-center md:text-left w-full pt-4 md:pl-3"
            >
                <h2 class="h3 text-black" style="width: fit-content">{{ title }}</h2>
            </div>
        </div>
    </div>
</template>

<script>

export default {

    // Nom du composant
    name: 'PortfolioBloc',

    // Données en paramètres du composant
    props: {
        index: { type: Number, default: () => { } },
        type: { type: String, default: () => { } },
        title: { type: String, default: () => { } },
        client: { type: String, default: () => { } },
        background: { type: String, default: () => { } },
        informations: { type: Array, default: () => { } },
        galerie: { type: Array, default: () => { } },
        otherprojects: { type: Array, default: () => { } }
    },

    // Données du composant
    data() {
        return {
            // data
        }
    },

    // Script à éxécuter au chargement du composant
    mounted() {
        // mounted
    },

    // Méthodes du composant
    methods: {
        // methods
    }
}

</script>

<style lang="scss">

    .portfolio-block {
        @apply w-full;

        @screen md {
            width: 44%;
        }

        &__container {
            &--image {
                > a {
                    > img {
                        @apply transition-all duration-150;
                    }
                }
                &:hover {
                    > a {
                        > img {
                            transform: scale(0.95);
                        }
                    }
                }
            }
            &--content {
                > span {
                    // Bordure de texte
                    -webkit-text-stroke: 1px white;
                }
            }
        }
    }

</style>
